/**********************************************************************
 *
 * locate.h
 * Copyright (C) 1996
 * 
 * A component of the fnord webserver written by bmorin@wpi.edu.
 *
 * Altered for use with the Greenstone digital library software by the
 * New Zealand Digital Library Project at the University of Waikato,
 * New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *********************************************************************/

#ifndef MAX_FILENAME_SIZE
#define MAX_FILENAME_SIZE 2048
#endif

#include "text_t.h"

extern HWND GSDL_Window;
extern int line_spacing;
extern RECT text_rect;

void refresh_console(HDC dc);

extern text_t data_location;

extern void set_location(text_t possible);
extern void find_location(void);

extern void open_log_file(void);
extern void close_log_file(void);
extern void log_message(char *msg);
extern void log_message_N(char*msg, int n);

extern void activate_console(void);
extern void deactivate_console(void);

extern void LogCriticalError(char *cderr, char *Msg);

/* returns first-second taking into account wrap around */
extern DWORD DiffTickCounts (DWORD first, DWORD second);
